## cascading.flow.planner
Class FlowStepJob<Config>

    java.lang.Object
      cascading.flow.planner.FlowStepJob<Config>

All Implemented Interfaces:
  Callable<Throwable>

    public abstract class FlowStepJob<Config>

extends Object
implements Callable<Throwable>

Field Summary
`protected BaseFlowStep<Config>` `flowStep` Field flowStep
`protected FlowStepStats` `flowStepStats` Field stepStats
`protected long` `pollingInterval` Field pollingInterval
`protected List<FlowStepJob<Config>>` `predecessors` Field predecessors
`protected long` `statsStoreInterval` Field recordStatsInterval
`protected String` `stepName` Field stepName
`protected Throwable` `throwable` Field throwable

Constructor Summary
`FlowStepJob(ClientState clientState, BaseFlowStep flowStep, long pollingInterval, long statsStoreInterval)`

Method Summary
`protected void` `blockOnJob()`
`protected void` `blockOnPredecessors()`
`protected void` `blockTillCompleteOrStopped()`
`Throwable` `call()`
`protected abstract FlowStepStats` `createStepStats(ClientState clientState)`
`protected abstract void` `dumpDebugInfo()`
`abstract Config` `getConfig()`
`FlowStepStats` `getStepStats()` Method getStepStats returns the stepStats of this FlowStepJob object.
`protected abstract Throwable` `getThrowable()`
`protected abstract void` `internalBlockOnStop()`
`protected abstract boolean` `internalIsStarted()`
`protected abstract String` `internalJobId()`
`protected abstract boolean` `internalNonBlockingIsComplete()`
`protected abstract boolean` `internalNonBlockingIsSuccessful()`
`protected abstract void` `internalNonBlockingStart()`
`protected abstract boolean` `isRemoteExecution()`
`protected boolean` `isSkipFlowStep()`
`boolean` `isStarted()` Method wasStarted returns true if this job was started
`boolean` `isSuccessful()` Method isSuccessful returns true if this step completed successfully or was skipped.
`void` `setPredecessors(List<FlowStepJob<Config>> predecessors)`
`protected void` `sleepForPollingInterval()`
`protected void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stepName

    protected final String stepName

  Field stepName

### pollingInterval

    protected long pollingInterval

  Field pollingInterval

### statsStoreInterval

    protected long statsStoreInterval

  Field recordStatsInterval

### predecessors

    protected List<FlowStepJob<Config>> predecessors

  Field predecessors

### flowStep

    protected final BaseFlowStep<Config> flowStep

  Field flowStep

### flowStepStats

    protected FlowStepStats flowStepStats

  Field stepStats

### throwable

    protected Throwable throwable

  Field throwable

Constructor Detail

### FlowStepJob

    public FlowStepJob(ClientState clientState,
                       BaseFlowStep flowStep,
                       long pollingInterval,
                       long statsStoreInterval)

Method Detail

### getConfig

    public abstract Config getConfig()

### createStepStats

    protected abstract FlowStepStats createStepStats(ClientState clientState)

### stop

    public void stop()

### internalBlockOnStop

    protected abstract void internalBlockOnStop()
                                         throws IOException

  Throws:
    `IOException`

### setPredecessors

    public void setPredecessors(List<FlowStepJob<Config>> predecessors)

### call

    public Throwable call()

  Specified by:
    `call` in interface `Callable<Throwable>`

### start

    protected void start()

### isSkipFlowStep

    protected boolean isSkipFlowStep()
                              throws IOException

  Throws:
    `IOException`

### blockOnJob

    protected void blockOnJob()
                       throws IOException

  Throws:
    `IOException`

### isRemoteExecution

    protected abstract boolean isRemoteExecution()

### internalJobId

    protected abstract String internalJobId()

### internalNonBlockingIsSuccessful

    protected abstract boolean internalNonBlockingIsSuccessful()
                                                        throws IOException

  Throws:
    `IOException`

### getThrowable

    protected abstract Throwable getThrowable()

### internalNonBlockingStart

    protected abstract void internalNonBlockingStart()
                                              throws IOException

  Throws:
    `IOException`

### blockTillCompleteOrStopped

    protected void blockTillCompleteOrStopped()
                                       throws IOException

  Throws:
    `IOException`

### internalNonBlockingIsComplete

    protected abstract boolean internalNonBlockingIsComplete()
                                                      throws IOException

  Throws:
    `IOException`

### sleepForPollingInterval

    protected void sleepForPollingInterval()

### blockOnPredecessors

    protected void blockOnPredecessors()

### dumpDebugInfo

    protected abstract void dumpDebugInfo()

### isSuccessful

    public boolean isSuccessful()

  Method isSuccessful returns true if this step completed successfully or was skipped.

  Returns:
    the successful (type boolean) of this FlowStepJob object.

### isStarted

    public boolean isStarted()

  Method wasStarted returns true if this job was started

  Returns:
    boolean

### internalIsStarted

    protected abstract boolean internalIsStarted()

### getStepStats

    public FlowStepStats getStepStats()

  Method getStepStats returns the stepStats of this FlowStepJob object.

  Returns:
    the stepStats (type StepStats) of this FlowStepJob object.

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.